Subject: [bitcoindev] Re: New BIP Editors: 1 Year Later

From: Jon Atack <[email-masked]>
Date: Mon, 21 Jul 2025 14:52:43 -0700 (PDT)

Hi Ava, hi all,

Thanks for the feedback and glad to hear the change has been welcome.

For my part, I've been happy with the current group.  While Murch and I 
have been the most visibly active day-to-day on the repository, the other 
editors have been very responsive in private messages and consultations to 
discuss BIPs issues.  Two editors active day-to-day has been a fairly good 
number (easy to coordinate together, not too many cooks in the kitchen), 
while still benefitting from the implication and experience of the other 
editors on questions that come up.   It has been an enjoyable collaboration 
and experience.

Regards,
Jon
On Monday, July 14, 2025 at 7:28:16 PM UTC-6 Ava Chow wrote:

> Hi All,
>
> During last year's discussion on adding new BIP Editors, AJ [noted][1] 
> that it might be worthwhile to have some sort of review process of the 
> BIP Editors in order to import the BIPs process. Since it has been more 
> than a year since the new BIP Editors were added, it seems like a good 
> time to take a look back.
>
> The 5 new BIP Editors were added in April of last year. In the time 
> since, the BIPs repository has seen a lot more action and the addition 
> of new BIP Editors seems to me to be quite successful.
>
> In the 15 months prior to adding the new BIP Editors, the BIP Editors had:
> - Left 80 comments
> - Merged 44 PRs
> - Closed 6 PRs
> - Assigned 4 BIP numbers
>
> In the 15 months since adding the new BIP Editors, the BIP Editors have:
> - Left 1272 comments
> - Merged 261 PRs
> - Closed 122 PRs
> - Assigned 22 BIP numbers
>
> This improvement is very much welcome and the BIPs process no longer 
> feels stuck.
>
> That being said, there is significant variance in the activity of the 
> Editors, with only a couple Editors accounting for the vast majority of 
> the aforementioned activity. This raises the question of whether all of 
> the current BIP Editors want to dedicate their time to serving the 
> community in this role, and whether there are others who could take 
> their place as well.
>
> Thanks,
> Ava
>
> [1]: https://groups.google.com/g/bitcoindev/c/cuMZ77KEQAA/m/hplkMlcmBwAJ
>
>

-- 
You received this message because you are subscribed to the Google Groups "Bitcoin Development Mailing List" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [email-masked].
To view this discussion visit https://groups.google.com/d/msgid/bitcoindev/6770e7f2-56ce-4e08-862d-03d5a0ae79fen%40googlegroups.com.